Google Classroom 外掛程式現已全面開放開發人員使用!詳情請參閱
外掛程式說明文件。
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: userProfiles.guardians.delete
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
刪除監護人。
監護人將不再收到監護人通知,也無法透過 API 存取監護人。
這個方法會傳回下列錯誤代碼:
PERMISSION_DENIED 如果要求使用者無法看到與提供的 studentId 相符的使用者、如果要求使用者無法管理 studentId 所識別學生的監護人、如果問題網域未啟用監護人,或是其他存取錯誤。
INVALID_ARGUMENT:如果指定了 studentId,但系統無法辨識其格式 (不是電子郵件地址,也不是 API 中的 studentId)。
NOT_FOUND 如果要求使用者有權修改所要求 studentId 的監護人,但該學生沒有使用提供的 guardianId 的 Guardian 記錄。
HTTP 要求
DELETE https://classroom.googleapis.com/v1/userProfiles/{studentId}/guardians/{guardianId}
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
studentId |
string
要刪除監護人的學生。可使用下列其中一個值:
- 使用者的數字 ID
- 使用者的電子郵件地址
- 字串常值
"me",表示要求使用者
|
guardianId |
string
Guardian 中的 id 欄位。
|
回應主體
如果成功,回應主體會是空的 JSON 物件。
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/classroom.guardianlinks.students
詳情請參閱授權指南。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-01-06 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-01-06 (世界標準時間)。"],[],[]]